import { cardSuit } from "./utils";

import { range } from "lodash-es";

describe("card suits", () => {
  test("cards have correct suits", () => {
    const cards = range(1, 64 + 1);
    const suits = cards.map(cardSuit);

    expect(suits).toEqual([
      "A",
      "A",
      "A",
      "A",
      "A",
      "A",
      "A",
      "A",
      "B",
      "B",
      "B",
      "B",
      "B",
      "B",
      "B",
      "B",
      "C",
      "C",
      "C",
      "C",
      "C",
      "C",
      "C",
      "C",
      "D",
      "D",
      "D",
      "D",
      "D",
      "D",
      "D",
      "D",
      "E",
      "E",
      "E",
      "E",
      "E",
      "E",
      "E",
      "E",
      "F",
      "F",
      "F",
      "F",
      "F",
      "F",
      "F",
      "F",
      "G",
      "G",
      "G",
      "G",
      "G",
      "G",
      "G",
      "G",
      "H",
      "H",
      "H",
      "H",
      "H",
      "H",
      "H",
      "H",
    ]);
  });
});
